<hr class="node-separator"/>

<div class="flex">
  <select (change)="onTypeChange($event)">
    <option value="">Type de node</option>
    <option *ngFor="let item of nodeTypeDictionary; let index = index"
      [value]="index"
      [selected]="item['type'] === nodeData['type']"
      >{{ item['optionLabel'] }}</option>
  </select>
  <button class="btn btn-danger" (click)="removeNode()"> X </button>
</div>

<!--  Form pour accessLock  -->
<div *ngIf="nodeData['type'] === 'accessLock'">
  Challenge:
  <input type=number min=0 step=1
    [(ngModel)]="nodeData['challenge']"
  >
  <br>
  Mot de passe (optionnel)
  <input type=text placeholder="Zkv8!24-dF"
    [(ngModel)]="nodeData['password']"
    size=32
  >
</div>

<!--  Form pour blackIceInstance  -->
<div *ngIf="nodeData['type'] === 'blackIceInstance'">
  <select (change)="onBlackIceDataChange($event)">
    <option value=-1>Type de BlackIce</option>
    <option *ngFor="let item of blackIceDatas; let index = index"
      [value]="item['id']"
      [selected]="item['id'] === nodeData['id_blackIceData']"
      >{{ item['className'] }}</option>
  </select>
</div>

<!--  Form pour controlNode  -->
<div *ngIf="nodeData['type'] === 'controlNode'">
  Challenge
  <input type=number min=0 step=1
    [(ngModel)]="nodeData['challenge']"
  >
  <br>
  Elément controlé
  <input type=text placeholder="Camera entrée #02"
    [(ngModel)]="nodeData['targetLabel']"
    size=32
  >
</div>

<!--  Form pour dataFile  -->
<div *ngIf="nodeData['type'] === 'dataFile'">
  Challenge
  <input type=number min=0 step=1
    [(ngModel)]="nodeData['challenge']"
  >
  <br>
  Contenu:
  <br>
  <textarea placeholder="Liste secrète de contacts.
    &#10;Ceci est un test"
    [(ngModel)]="nodeData['content']"
    rows="5" cols="33"
  >
  </textarea>
</div>

